// Vertex-Eingaben
$rein float3 vertexPos;
$rein float3 vertexNorm;
$rein float4 vertexFarbe;
$rein float2 vertexTexKoords;
$rein float2 vertexDehnung;

// Vertex-Ausgaben an den FragmentShader
$raus float4 fragPos;
$raus float3 fragLichtPos;

// Globale Konstanten
uniform float4x4 WeltMatrix, SichtMatrix, ProjMatrix;

$main()
{
  float4 pos = float4( vertexPos, 1.0f);
  float4 weltpos = mul( WeltMatrix, pos);
  float4 kampos = mul( SichtMatrix, weltpos);
  kampos.xy += 0.03f * vertexDehnung.xy;
  fragPos = mul( ProjMatrix, kampos);

  fragLichtPos = fragPos.xyz + float3( 0, 0, 0.001f);
}